Bug 59304 - kernel 2.4.9-21 hangs on booting from perc 2/Si RAID controller
kernel 2.4.9-21 hangs on booting from perc 2/Si RAID controller
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-02-04 16:45 EST by Need Real Name
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-04-10 13:16:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-02-04 16:45:46 EST
Description of problem:
kernel 2.4.9-21 hangs on partition check when booting on a Dell Poweredge 2400.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
rpm -Uvh i386/modutils-2.4.10-1.i386.rpm
rpm -ivh i686/kernel-2.4.9-21.i686.rpm
rpm -Uvh i386/kernel-headers-2.4.9-21.i386.rpm
shutdown -r now
select new kernel in Grub

Actual Results:  If new kernel selected for boot, system hangs at:
Partition check:
sda: sda1 sda2 sda3 sda4 < sda5 sda6 sda7 >

Expected Results:  complete boot of new kernel

Additional info:

Configuration info / steps:
DELL PowerEdge 2400
System Bios: A08
Embedded Server Management Firmware: 5.22
System Backplane Firmware: 5.35
Expandable RAID Controller 2/Si BIOS: 2.5-0 build 2993
OR Expandable RAID Controller 2/Si BIOS: 2.6-0 build 3512
Adaptec AIC-7880 SCSI BIOS: 25701
2 Quantum Atlas V 9.1 Gb drives
RAID and SCSI firmware options: set to defaults
Delete existing RAID containers:
Format and verify all fixed disks
Initialize drives
Create one new RAID 1 container using two drives, all space
Wait for syncronization of the drives to complete
When all drive activity has ceased, reboot and begin install.
Default "server" install, text mode
deselect Classic X component
After install update all non kernel packages (or not, no effect on outcome)
perform kernel update
boot new kernel
Comment 1 Alan Cox 2002-02-06 19:41:30 EST
Probably the i960 race problem. Can you try the modified kernel rpm on www.domsch.com

Note You need to log in before you can comment on or make changes to this bug.